[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetTextExtentExPoint

Calculates the number of characters, that fit into some horizontal space.

## Declaration

Source position: winapih.inc line 152

`public function TWidgetSet.GetTextExtentExPoint(`
`DC: HDC;`
`Str: PChar;`
`Count: Integer;`
`MaxWidth: Integer;`
`MaxCount: PInteger;`
`PartialWidths: PInteger;`
`var Size: TSize`
`):Boolean; virtual;`

## Arguments

`DC` |  | The device context.
`Str` |  | The string containing the characters.
`Count` |  | The number of bytes in Str, -1 for automatic detection.
`MaxWidth` |  | The maximum display width, in logical units.
`MaxCount` |  | Receives the number of logical (UTF) characters that can be displayed. When Nil, MaxWidth is ignored.
`PartialWidths` |  | Receives the widths for every partial sequence of characters. Can be Nil.
`Size` |  | Receives the total width and height of the display area.

## Function result

False on failure.